Uploaded image for project: 'ModeShape'
  1. ModeShape
  2. MODE-1646

REST client library should be compatible with both ModeShape 2.x and 3.x REST services

    Details

    • Type: Feature Request
    • Status: Closed (View Workflow)
    • Priority: Critical
    • Resolution: Done
    • Affects Version/s: 3.0.0.Beta4
    • Fix Version/s: 3.0.0.CR1
    • Component/s: API, Server, Tools
    • Labels:
      None

      Description

      The REST client library should be able to talk to older versions of the ModeShape REST service.

      In 3.0 we added a new REST API, and moved the older REST API to "v1/" resources. However, the 3.0 REST client still uses only the older-style API, and so the resources that it uses must change if it's talking to a 3.x REST service vs a 2.x REST service.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  rhauch Randall Hauch
                  Reporter:
                  rhauch Randall Hauch
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: